Bug 5852 - DATE_IN_FUTURE_96_XX overlaps with FH_DATE_PAST_20XX
DATE_IN_FUTURE_96_XX overlaps with FH_DATE_PAST_20XX
Status: RESOLVED FIXED
Product: Spamassassin
Classification: Unclassified
Component: Score Generation
3.2.4
All All
: P5 trivial
: 3.3.0
Assigned To: SpamAssassin Developer Mailing List
:
Depends on:
Blocks: 6269
  Show dependency tree
 
Reported: 2008-03-14 03:10 UTC by Matus UHLAR - fantomas
Modified: 2010-01-01 12:55 UTC (History)
0 users



Attachment Type Modified Status Actions Submitter/CLA Status

Note You need to log in before you can comment on or make changes to this bug.
Description Matus UHLAR - fantomas 2008-03-14 03:10:03 UTC
rules FH_DATE_PAST_20XX and DATE_IN_FUTURE_96_XX are overlapping - of course the DATE_IN_FUTURE_96_XX will aply when the date is past 2009. Combined scores are too high imho:

score FH_DATE_PAST_20XX 2.075 3.384 3.554 3.188
score DATE_IN_FUTURE_96_XX 3.899 3.899 2.598 1.439

the combined are: 5.974 7.283 6.152 4.627

each is too high. please lower scores for FH_DATE_PAST_20XX
Comment 1 Lee Maguire 2008-11-05 07:12:25 UTC
Current rule ( rules/branches/3.2/72_active.cf ) is:

##{ FH_DATE_PAST_20XX
header   FH_DATE_PAST_20XX      Date =~ /20[1-9][0-9]/ [if-unset: 2006]
describe FH_DATE_PAST_20XX      The date is grossly in the future.
##} FH_DATE_PAST_20XX

This will start triggering on legitimate mail in 14 months.  It would be more usefully updated now to ensure that any rules packaged and distributed with OS distributions in 2009 (which are often not routinely updated by end-users) do not trigger in 2010.
Comment 2 Justin Mason 2009-06-30 14:02:56 UTC
: 230...; svn commit -m "bug 5852: trivial fix, stop FH_DATE_PAST_20XX matching 2010" rulesrc/sandbox/emailed/00_FVGT_File001.cf
Sending        rulesrc/sandbox/emailed/00_FVGT_File001.cf
Transmitting file data .
Committed revision 789951.


now matches 2020 and onwards...
Comment 3 Justin Mason 2010-01-01 12:55:05 UTC
ugh.  crap.  this needed to be pushed to sa-update for 3.2, but never was.  See bug 6269 for the fallout :(